﻿using Sharing.Share.Dtos.DataSharing.DataExchange;

namespace Sharing.Share.Dtos.DataSharing.Enterprise
{
    /// <summary>
    /// 数据交换提交办理结果
    /// </summary>
    public class DataWriteResultDto
    {
        /// <summary>
        /// 工单编号，唯一标识
        /// </summary>
        public string ReplyCode { get; set; }

        /// <summary>
        /// 回复日期
        /// </summary>
        public DateTime? ReplyDate { get; set; }

        /// <summary>
        /// 回复人
        /// </summary>
        public string ReplyUserName { get; set; }

        /// <summary>
        /// 回复部门
        /// </summary>
        public string ReplyBMName { get; set; }

        /// <summary>
        /// 回复详情
        /// </summary>
        public string ReplyContent { get; set; }

        /// <summary>
        /// 0:办理中 1:办理完成 2:办理退回
        /// </summary>
        public int ReplyResultType { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        public List<ReplyFiles>? ReplyFiles { get; set; }
    }
}
